package com.unis.module.coding.service.cwxx;

import java.util.*;
import javax.validation.*;
import com.unis.module.coding.controller.admin.cwxx.vo.*;
import com.unis.module.coding.dal.dataobject.cwxx.CwxxDO;
import com.unis.framework.common.pojo.PageResult;
import com.unis.framework.common.pojo.PageParam;

/**
 * 财务信息 Service 接口
 *
 * @author 超级管理员
 */
public interface CwxxService {

    /**
     * 创建财务信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCwxx(@Valid CwxxSaveReqVO createReqVO);

    /**
     * 更新财务信息
     *
     * @param updateReqVO 更新信息
     */
    void updateCwxx(@Valid CwxxSaveReqVO updateReqVO);

    /**
     * 删除财务信息
     *
     * @param id 编号
     */
    void deleteCwxx(Long id);

    /**
     * 获得财务信息
     *
     * @param id 编号
     * @return 财务信息
     */
    CwxxRespVO getCwxx(Long id);

    /**
     * 获得财务信息分页
     *
     * @param pageReqVO 分页查询
     * @return 财务信息分页
     */
    PageResult<CwxxDO> getCwxxPage(CwxxPageReqVO pageReqVO);

    CwxxRespVO getCwxxByKqBm();
}